# $Revision: 1.17.2.1 $, $Date: 2007/04/01 20:31:30 $
# TODO:
# - icon and some desktop file
%define		_suffix	jo
%define		_rel 6
Summary:	WineTools - a menu driven installer for installing Windows programs under Linux
Summary(pl):	WineTools - oparty na menu instalator do windowsowych programw pod Linuksem
Name:		winetools
Version:	0.9
Release:	1.%{_suffix}.%{_rel}
Epoch:		1
License:	GPL
Group:		Applications/Emulators
Source0:	http://ds80-237-203-29.dedicated.hosteurope.de/wt/%{name}-%{version}%{_suffix}-III.tar.gz
# Source0-md5:	e15874cabdd48342e7de5a1823ee3c98
Patch0:		%{name}-paths.patch
Patch1:		%{name}-parse_version.patch
URL:		http://www.von-thadden.de/Joachim/WineTools/
BuildRequires:	gettext-devel
BuildRequires:	sed >= 4.0
Requires:	Xdialog
Requires:	bash
Requires:	gettext
Requires:	mktemp
Requires:	perl-base
Requires:	wget
Requires:	wine >= 1:0.9
Requires:	wine-programs >= 1:0.9
BuildArch:	noarch
ExclusiveArch:	%{ix86} noarch
ExcludeArch:	i386
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_winetoolsdir	%{_datadir}/%{name}

%description
WineTools is a menu driven installer for installing about 90 Windows
programs under the x86 (Athlon or Intel PC) processor architecture
with the Linux operating system using WINE. This software lets you
install the following Windows software:
- DCOM98
- IE6
- Windows Core Fonts
- Windows System Software
- Office & Office Viewer
- Adobe Photoshop 7, Illustrator 9
- many other programs

It also sets up your .wine directory in the correct way, downloads the
files to install from the web (only the free and shareware ones for
sure), installs Windows fonts and lets you uninstall and configure
your software. And it does much more than Sidenet, although it uses a
part of the configuration for IE6 (thanks for that!).

WineTools was initially written by Frank Hendriksen and was extended
by Joachim von Thadden. It is licensed under the GPL.

%description -l pl
WineTools to oparty na menu instalator do instalowania okoo 90
windowsowych programw na komputerach z procesorem x86 (Athlon lub
Intel PC) z systemem operacyjnym Linux przy uyciu WINE. Ten program
pozwala zainstalowa nastpujce oprogramowanie dla Windows:
- DCOM98
- IE6
- podstawowe fonty Windows
- oprogramowanie systemowe Windows
- Office i Office Viewer
- Adobe Photoshop 7, Illustrator 9
- wiele innych programw.

Konfiguruje take w poprawny sposb katalog .wine, ciga pliki do
instalacji z sieci (oczywicie tylko darmowe i shareware), instaluje
fonty z Windows oraz pozwala odinstalowa i skonfigurowa
oprogramowanie. Robi to w duej mierze tak jak Sidenet, ale uywa
czci konfiguracji dla IE6 (za co nale si podzikowania).

WineTools zosta pocztkowo napisany przez Franka Hendriksena i zosta
rozszerzony przez Joachima von Thaddena. Jest licencjonowany na GPL.

%prep
%setup -q -n %{name}-%{version}%{_suffix}-III
mv wt%{version}%{_suffix} wt2
mv gettext.sh.dummy gettext.sh
%patch0 -p1
%patch1 -p1

%{__sed} -i -e 's#\. findwine#. %{_winetoolsdir}/findwine#' scripts/*
mv po/{de_DE@euro,de}.po

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_winetoolsdir}/3rdParty}

install wt2 $RPM_BUILD_ROOT%{_bindir}
install findwine $RPM_BUILD_ROOT%{_winetoolsdir}

cp -a scripts icon doc $RPM_BUILD_ROOT%{_winetoolsdir}
install *.reg findwine chopctrl.pl $RPM_BUILD_ROOT%{_winetoolsdir}
install 3rdParty/*.{cfg,reg,txt} $RPM_BUILD_ROOT%{_winetoolsdir}/3rdParty
install gettext.sh $RPM_BUILD_ROOT%{_winetoolsdir}

for i in po/*.po; do
	locale=${i#po/}
	locale=${locale%.po}
	install -d $RPM_BUILD_ROOT%{_datadir}/locale/$locale/LC_MESSAGES
	msgfmt po/$locale.po -o $RPM_BUILD_ROOT%{_datadir}/locale/$locale/LC_MESSAGES/wt2.mo
done

%find_lang wt2

%clean
rm -rf $RPM_BUILD_ROOT

%files -f wt2.lang
%defattr(644,root,root,755)
%doc INSTALL.txt LICENSE.txt doc/*
%attr(755,root,root) %{_bindir}/wt2

%dir %{_winetoolsdir}
%{_winetoolsdir}/doc
%{_winetoolsdir}/icon
%{_winetoolsdir}/gettext.sh
%{_winetoolsdir}/findwine
%{_winetoolsdir}/wt-config.reg
%attr(755,root,root) %{_winetoolsdir}/chopctrl.pl
%dir %{_winetoolsdir}/3rdParty
%{_winetoolsdir}/3rdParty/PowBallDX.cfg
%{_winetoolsdir}/3rdParty/bde.reg
%{_winetoolsdir}/3rdParty/futurepinball.reg
%{_winetoolsdir}/3rdParty/ie6.reg
%{_winetoolsdir}/3rdParty/iebatch.txt
%{_winetoolsdir}/3rdParty/steaminstall.reg
%{_winetoolsdir}/3rdParty/typograf.reg

%dir %{_winetoolsdir}/scripts
%attr(755,root,root) %{_winetoolsdir}/scripts/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: winetools.spec,v $
Revision 1.17.2.1  2007/04/01 20:31:30  hawk
- ExcludeArch: i386, no wine there
- release 6

Revision 1.17  2007/01/04 15:36:38  blues
- rel.5 - added parse_version patch to allow run on current wine; STBR to
  AC and TH

Revision 1.16  2006/10/24 23:28:46  glen
- this is actually noarch package; rel 4

Revision 1.15  2006/10/24 23:27:35  glen
- unify, discard subshells (simplify); rel 3

Revision 1.14  2006/10/24 23:04:49  sls
- renamed locale (de_DE@euro -> de)

Revision 1.13  2006/05/04 09:34:07  glen
- as license is GPL, plz add to Ac; rel 2

Revision 1.12  2006/05/04 00:11:39  glen
- fixed 3rdParty/iebatch.txt location

Revision 1.11  2005/12/20 00:52:41  charles
- updated to 0.9jo-III

Revision 1.10  2005/11/20 22:59:30  blues
- removed not used mktemp patch - pointed by Maciej Witaszek
  <maciek2w@gmail.com>

Revision 1.9  2005/11/20 21:08:51  blues
- 0.9

Revision 1.8  2005/10/10 16:56:13  glen
- remove noarch

Revision 1.7  2005/09/16 20:11:21  glen
- R: wine-programs

Revision 1.6  2005/06/29 18:14:00  glen
- use Xdialog package, so this package goes noarch

Revision 1.5  2005/06/02 16:46:58  glen
- BR(gettext-devel)
- cosmetics

Revision 1.4  2005/06/01 18:45:48  qboosh
- pl, cosmetics

Revision 1.3  2005/05/29 20:21:26  glen
- add missing files

Revision 1.2  2005/05/29 19:54:15  glen
- fix scripts

Revision 1.1  2005/05/29 19:24:15  glen
- new for PLD Linux
